<html lang="en">
<head>
<title>eieio-instance-tracker - Enhanced Implementation of Emacs Interpreted Objects</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Enhanced Implementation of Emacs Interpreted Objects">
<meta name="generator" content="makeinfo 4.8">
<link title="Top" rel="start" href="index.html#Top">
<link rel="up" href="Base-Classes.html#Base-Classes" title="Base Classes">
<link rel="prev" href="eieio_002dinstance_002dinheritor.html#eieio_002dinstance_002dinheritor" title="eieio-instance-inheritor">
<link rel="next" href="eieio_002dsingleton.html#eieio_002dsingleton" title="eieio-singleton">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc    { font-variant:small-caps }
  span.roman { font-family:serif; font-weight:normal; } 
  span.sansserif { font-family:sans-serif; font-weight:normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="eieio-instance-tracker"></a>
<a name="eieio_002dinstance_002dtracker"></a>
Next:&nbsp;<a rel="next" accesskey="n" href="eieio_002dsingleton.html#eieio_002dsingleton">eieio-singleton</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="eieio_002dinstance_002dinheritor.html#eieio_002dinstance_002dinheritor">eieio-instance-inheritor</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="Base-Classes.html#Base-Classes">Base Classes</a>
<hr>
</div>

<!-- node-name,  next,  previous,  up -->
<p>This class is in package <samp><span class="file">eieio-base</span></samp>.

   <p>Sometimes it is useful to keep a master list of all instances of a given
class.  The class <code>eieio-instance-tracker</code> performs this task.

<div class="defun">
&mdash; Class: <b>eieio-instance-tracker</b><var> tracker-symbol<a name="index-eieio_002dinstance_002dtracker-64"></a></var><br>
<blockquote><p>Enable instance tracking for this class. 
The field <var>tracker-symbol</var> should be initialized in inheritors of
this class to a symbol created with <code>defvar</code>.  This symbol will
serve as the variable used as a master list of all objects of the given
class. 
</p></blockquote></div>

<div class="defun">
&mdash; Method on eieio-instance-tracker: <b>initialize-instance</b><var> obj fields<a name="index-initialize_002dinstance-on-eieio_002dinstance_002dtracker-65"></a></var><br>
<blockquote><p>This method is defined as an <code>:AFTER</code> method. 
It adds new instances to the master list.  Do not overload this method
unless you use <code>call-next-method.</code>
</p></blockquote></div>

<div class="defun">
&mdash; Method on eieio-instance-tracker: <b>delete-instance</b><var> obj<a name="index-delete_002dinstance-on-eieio_002dinstance_002dtracker-66"></a></var><br>
<blockquote><p>Remove <var>obj</var> from the master list of instances of this class. 
This may let the garbage collector nab this instance. 
</p></blockquote></div>

<div class="defun">
&mdash; eieio-instance-tracker-find: <b>key</b><var> field list-symbol<a name="index-key-67"></a></var><br>
<blockquote><p>This convenience function lets you find instances.  <var>key</var> is the
value to search for.  <var>FIELD</var> is the field to compare <var>KEY</var>
against.  The function <code>equal</code> is used for comparison. 
The paramter <var>list-symbol</var> is the variable symbol which contains the
list of objects to be searched. 
</p></blockquote></div>

   </body></html>

